Subject: Re: [PATCH 3/6] revision: add wrapper to setup_revisions() from a strvec

From: Jeff King <[email-masked]>
Date: Sat, 20 Sep 2025 01:48:28 -0400

On Sat, Sep 20, 2025 at 01:10:50AM -0400, Eric Sunshine wrote:

> On Fri, Sep 19, 2025 at 6:51 PM Jeff King <[email-masked]> wrote:
> > The setup_revisions() function was designed to take the argc/argv pair
> > from the operating system. But we sometimes construct our own argv using
> > a strvec and pass that in. There are a few gotchas that callers need to
> > deal with here:
> > [...]
> > We'll start by converting all of the call-sites which the
> > free_removed_argv_elements option. There should be no behavior change
> > for them, except that their "shrunken" entries are cleaned up
> > immediately, rather than waiting for a strvec_clear() call.
> 
> There is some grammatical problem with the first sentence of this
> paragraph which makes it difficult to decipher.

Urgh, sorry. Should be:

   We'll start by converting all of the call-sites which use the
   free_removed_argv_elements option.

-Peff